- Home
- API Enriched
- Statistics
- report
- Generate Report Now.
Generate Report Now.
POST
/api/report/namespaces/{namespace}/report_configs/{name}/generate
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/report/namespaces/example/report_configs/example/generate';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/report/namespaces/example/report_configs/example/generate \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example" }'Generate report now.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace
x-required Namespace for this request.
name
required
string
Name
x-required Name of the report config for which report has to be generated.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Generate Report Request
Generate report request.
object
name
Name
Name of the report config for which report has to be generated.
string
namespace
Namespace
Namespace for this request.
string
Examplegenerated
{ "name": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Generate Report Response
Generate report response.
object
Examplegenerated
{}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example